#!/usr/bin/perl
#
# A simple TCP client - Jiyong Jang
#

use IO::Socket;

## server setup
#
my $serveraddr = "plaid.cylab.cmu.edu";
my $serverport = 7321;


## connecting to the server
#
my $socket = new IO::Socket::INET(
                PeerAddr => $serveraddr,
                PeerPort => $serverport,
                Proto => 'tcp'
              )                
    or die "Couldn't connect to the server\n";
    

## receiving data from the server
#
$socket->recv($recv_data, 1024);
print $recv_data; 


## sending data to the server
#
$send_data = "HELLO";
$socket->send($send_data);
print $send_data;
      

## receiving data from the server
#
$socket->recv($recv_data, 1024);
print $recv_data; 


## closing
#
close $socket;
